// Copyright (C) 2003  Cognos Incorporated.  All Rights Reserved.
// -<>---------------------------------------------------------------------------------------------
//
//     Name: debugLogOpen, debugLogClose, debugLog, debugAssert
//  Purpose: Dynamic error logging to separate window to help during development
//   Inputs: none
//  Returns: Nothing
//  Assumes: 
//  Effects: 
//   Errors: (none)
//
//  History: 8/10/2001  Kirk (created)
//           22/10/01:  To make the names of the functions more distinct, and easy to comment out
//			renamed with debug prefix
// 
// 
// -><---------------------------------------------------------------------------------------------

function debugLogOpen()
{	
        //****************************************************************************************************//
	//****************************************************************************************************//
	//*                                                                                                  *//
	//*              For logging comment out the return statement below            		             *//
	//*                                                                                                  *//
	//*                                                                                                  *//
	//****************************************************************************************************//
	//****************************************************************************************************//
	return;


	if (top.logWindow && top.logWindow.closed)
	{
		top.logWindow = null;
	}	


	if (top.logWindow)
	{
		top.logWindow.focus();
	}
	else
	{
		var now = new Date;
		top.logWindow = window.open("", "sub", "status,height=600,width=300,resizable,scrollbars");
		top.logWindow.document.close();
		top.strLog = '';

		debugLog('<br><br>To switch off logging see \'debug.js\' line 29');
		debugLog('Log opened: ' + now);
	}

}

function debugLogClose()
{
	if (top.logWindow)
	{
		top.logWindow.close();
		top.logWindow=null;
	}
}

function debugLog(v)
{
// Although the logic of this is OK there is a problem if the user asynchronously closes the
// window between the statements....causing an invalid open or write or close operation
// ---only a debug window so have not bothered to fix this (yet)

	if ( (!top.logWindow) || top.logWindow.closed )
	{
		return;
	}	

	top.strLog = v  + '<br>' + top.strLog;

	if (top.strLog.length > 1000)
	{
		top.strLog = top.strLog.slice(0,7500);		// keep first 7500 characters
	}

	
	top.logWindow.document.open("text/html");
	top.logWindow.document.write(top.strLog);
	top.logWindow.document.close();

}


function debugAssert(cond, msg)
{
	if (!cond)
	{
		debugLog('ASSERT--ASSERT--ASSERT<br><pre>' + msg + '</pre>' );
	}
}

